org.modeshape.jcr.query

## Class NodeSequence.MultiWidthBatch

- java.lang.Object
- - org.modeshape.jcr.query.NodeSequence.SingleWidthBatch
  - - org.modeshape.jcr.query.NodeSequence.MultiWidthBatch

- All Implemented Interfaces:
    NodeSequence.Batch, NodeSequence.Restartable, NodeSequence.RowAccessor
  Enclosing class:
    NodeSequence

      protected static final class NodeSequence.MultiWidthBatch
      extends NodeSequence.SingleWidthBatch

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.query.NodeSequence.SingleWidthBatch

      `nodes, rowCount, rowNumber, scores`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NodeSequence.MultiWidthBatch(NodeSequence.Batch batch)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addRow(NodeSequence.Batch batch)`
    `protected int` | `nodeIndex(int rowNumber, int positionInRow)`
    `long` | `rowCount()` Get the number of rows in the batch, if that information is available.

    - ### Methods inherited from class org.modeshape.jcr.query.NodeSequence.SingleWidthBatch

      `getNode, getNode, getScore, getScore, getWorkspaceName, hasNext, isEmpty, nextRow, restart, toString, width`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeSequence.MultiWidthBatch

          protected NodeSequence.MultiWidthBatch(NodeSequence.Batch batch)

  - ### Method Detail

    - #### addRow

          protected void addRow(NodeSequence.Batch batch)

      Overrides:
        `addRow` in class `NodeSequence.SingleWidthBatch`

    - #### rowCount

          public long rowCount()

      Description copied from interface: `NodeSequence.Batch`
      Get the number of rows in the batch, if that information is available.
      Specified by:
        `rowCount` in interface `NodeSequence.Batch`
      Overrides:
        `rowCount` in class `NodeSequence.SingleWidthBatch`
      Returns:
        the number of rows; may be equal to -1 if the number of rows is not known without significant overhead

    - #### nodeIndex

          protected int nodeIndex(int rowNumber,
                      int positionInRow)

      Overrides:
        `nodeIndex` in class `NodeSequence.SingleWidthBatch`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.